require(pacman)

rlt_imp <- function(x, y, ...) {
  p_load(RLT)
  
  T6 <- RLT(x, y, model = "regression",  ntrees = 100, importance = TRUE, reinforcement = TRUE)
  oimp <-  T6$VarImp[1,]
  errRank = imp_measure(oimp)
  imp = imp_scale(oimp)
  
  return(list(errRank = errRank, 
              imp = imp_scale(imp),
              oimp = oimp))
}